
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: FinalTypes.Info) {
        return request('/api/finalsinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: FinalTypes.FinalInfoDelInput) {
        return request(`/api/finalsinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: FinalTypes.Info) {
        return request('/api/finalsinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/finalsinfo/detail/${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List() {
        return request('/api/finalsinfo/list', {
            method: 'POST'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    SelectList() {
        return request('/api/finalsinfo/selectlist', {
            method: 'GET'
        });
    },
    /**
     * 根据成品查询产线
     * @param parms 
     * @returns 
     */
    LineList(id:string) {
        return request(`/api/finalsinfo/linelist/${id}`, {
            method: 'GET'
        });
    },
     /**
     * 根据成品查询已配置产线
     * @param parms 
     * @returns 
     */
    FinishLineList(id:string){
        return request(`/api/finalsinfo/finishlinelist/${id}`, {
            method: 'GET'
        });
    },
    /**
    * 未绑定的设备列表
    * @param parms 
    * @returns 
    */
    UnBindList() {
        return request('/api/finalsinfo/UnBindList', {
            method: 'GET'
        });

    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: FinalTypes.Page) {
        return request('/api/finalsinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 批量更新
     * @param parms 
     * @returns 
     */
    BatchUpdate(parms: FinalTypes.BatchAdd) {
        return request('/api/finalsinfo/batchupdate', {
            method: 'POST',
            data: parms
        });
    },
     /**
     * 绑定产线
     * @param parms 
     * @returns 
     */
    BindLine(parms:FinalTypes.BindLine){
        return request('/api/finalsinfo/bindline', {
            method: 'POST',
            data: parms
        });
    },
     /**
     * 根据设备Id查询配方信息
     * @param parms 
     * @returns 
     */
    RecipeList(id: string){
        return request(' api/finalsinfo/list', {
            method: 'POST',
            data: {
                deviceId: id
            }
        });
    },
     /**
     * 更新状态
     * @param parms 
     * @returns 
     */
     Saveconfigstatus(parms:FinalTypes.Saveconfigstatus){
        return request(' /api/finalsinfo/saveconfigstatus', {
            method: 'POST',
            data: parms
        });
    }
    
}